Bug 44570 - building with VS 2015 Update 3 and msbuild property IpaPackageDir is defined and custom solution profile an error is thrown when cleanup starts from mac xamarin throws error
Summary: building with VS 2015 Update 3 and msbuild property IpaPackageDir is defined ...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: XMA (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- normal
Target Milestone: 4.2.1 (C8SR1)
Assignee: Emanuel
URL:
Depends on:
Blocks:
 
Reported: 2016-09-21 13:40 UTC by stephen.machwirth
Modified: 2016-10-27 20:16 UTC (History)
8 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description stephen.machwirth 2016-09-21 13:40:32 UTC
Here is the Error:
error MSB4018: The "RemoveDir" task failed unexpectedly.
4>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(342,3): error MSB4018: System.AggregateException: One or more errors occurred. ---> Xamarin.Messaging.Client.Ssh.SshCommandException: rm: /Users/stephen/Library/Caches/Xamarin/mtbs/builds/IRIS.WerkstrafUren.iOS/baa35507ec36e5c66002af9969019254/bin/iPhone/Ad-Hoc: No such file or directory
-------------------------------------------------------------------------------------------------------------

System.AggregateException: One or more errors occurred. ---> Xamarin.Messaging.Client.Ssh.SshCommandException: rm: /Users/stephen/Library/Caches/Xamarin/mtbs/builds/IRIS.WerkstrafUren.iOS/baa35507ec36e5c66002af9969019254/bin/iPhone/Ad-Hoc: No such file or directory --> this is correct the ending should be:

baa35507ec36e5c66002af9969019254/bin/iPhone/Ad-Hoc Werkstraf as is the solution configuration. This probably has something to do with the MSBuild property IpaPackageDir is set(because of CI builds). However the solution should be that the solution configuration is being used, the same as where the triggers build to and all seems to work fine the same path should be used in the deletion of these files.

here is some information about the VS environment:
Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA436
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

LightSwitch for Visual Studio 2015   00322-80000-00000-AA436
Microsoft LightSwitch for Visual Studio 2015

Microsoft Visual Studio Tools for Applications 2015   00322-80000-00000-AA436
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-80000-00000-AA436
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA436
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA436
Microsoft Visual C++ 2015

Visual F# 2015   00322-80000-00000-AA436
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-80000-00000-AA436
Windows Phone SDK 8.0 - ENU

ASP.NET and Web Tools 2015.1   14.1.20907.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.5   14.0.20810.0
Azure App Service Tools v2.9.5

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.1.0000.0
Microsoft Azure Data Lake Tools for Visual Studio

Clang with Microsoft CodeGen   14.0.25516
Clang with Microsoft CodeGen

Color Picker   1.0
Integrated Color Picker for Visual Studio IDE

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Microsoft .NET Core Tools (Preview 2)   14.1.20907.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.1.0000.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40715.2

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2015 ENU   14.0.23928
Microsoft Office Developer Tools for Visual Studio 2015 ENU

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

Python Tools for Visual Studio   2.2.40825.00
Python Tools for Visual Studio provides IntelliSense, projects, templates, Interactive windows, and other support for Python developers.

Python Tools for Visual Studio - Django Integration   2.2.40825.00
Provides templates and integration for the Django web framework.

Python Tools for Visual Studio - Profiling Support   2.2.40825.00
Profiling support for Python projects.

SQL Server Analysis Services   13.0.1700.68
Microsoft SQL Server Analysis Services Designer 
Version 13.0.1700.68

SQL Server Data Tools   14.0.60812.0
Microsoft SQL Server Data Tools

SQL Server Integration Services   
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services   13.0.1700.68
Microsoft SQL Server Reporting Services Designers 
Version 13.0.1700.68

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual C++ for Cross Platform Mobile Development (Android)   14.0.25401.00
Visual C++ for Cross Platform Mobile Development (Android)

Visual C++ for Cross Platform Mobile Development (iOS)   14.0.25401.00
Visual C++ for Cross Platform Mobile Development (iOS)

Visual Studio Tools for Apache Cordova   Update 10
Visual Studio Tools for Apache Cordova

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.2.0.680 (c4382f5)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.0.18 (0e59c36)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.6 (6c3fee4)
Visual Studio extension to enable development for Xamarin.iOS.

XAML Power Toys for Visual Studio 2015   1.3.21
Visual Studio 2015 extension that enables developers to rapidly generate data entry forms from view models or entity objects for Xamarin Forms, UPW, WPF, and Silverlight.
Comment 1 mho 2016-10-03 11:55:37 UTC
Same error for me:


Error		The "RemoveDir" task failed unexpectedly.
System.AggregateException: One or more errors occurred. ---> Xamarin.Messaging.Client.Ssh.SshCommandException: rm: /Users/horn/Library/Caches/Xamarin/mtbs/builds/Semantico.App.iOS/a7b7169f8e7f37c3cf42dda6c47bc237/obj/Debug: No such file or directory
rm: -: No such file or directory
rm: iOS: No such file or directory
rm: Device/optimized: No such file or directory

   at Renci.SshNet.SshCommandExtensions.ThrowIfError(SshCommand command) in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\Extensions\SshCommandExtensions.cs:line 24
   at Xamarin.Messaging.Client.Ssh.SshCommands.<RunCommandAsync>d__43.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 523
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Client.Ssh.SshCommands.<DeleteDirectoryAsync>d__23.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 202
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.VisualStudio.SshService.<DeleteDirectoryAsync>d__17.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\SshService.cs:line 143
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.VisualStudio.SshService.<DeleteDirectoryAsync>d__10.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\SshService.cs:line 40
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task.ThrowIfExceptional(Boolean includeTaskCanceledExceptions)
   at System.Threading.Tasks.Task.Wait(Int32 millisecondsTimeout, CancellationToken cancellationToken)
   at Microsoft.Build.Tasks.RemoveDir.Execute() in C:\data\lanes\3822\76037860\source\xamarinvs\src\MSBuild\Xamarin.MacDev.Tasks\MsBuildTasks\RemoveDir.cs:line 18
   at Microsoft.Build.BackEnd.TaskExecutionHost.Microsoft.Build.BackEnd.ITaskExecutionHost.Execute()
   at Microsoft.Build.BackEnd.TaskBuilder.<ExecuteInstantiatedTask>d__26.MoveNext()
---> (Inner Exception #0) Xamarin.Messaging.Client.Ssh.SshCommandException: rm: /Users/horn/Library/Caches/Xamarin/mtbs/builds/Semantico.App.iOS/a7b7169f8e7f37c3cf42dda6c47bc237/obj/Debug: No such file or directory
rm: -: No such file or directory
rm: iOS: No such file or directory
rm: Device/optimized: No such file or directory

   at Renci.SshNet.SshCommandExtensions.ThrowIfError(SshCommand command) in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\Extensions\SshCommandExtensions.cs:line 24
   at Xamarin.Messaging.Client.Ssh.SshCommands.<RunCommandAsync>d__43.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 523
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Client.Ssh.SshCommands.<DeleteDirectoryAsync>d__23.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 202
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.VisualStudio.SshService.<DeleteDirectoryAsync>d__17.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\SshService.cs:line 143
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.VisualStudio.SshService.<DeleteDirectoryAsync>d__10.MoveNext() in C:\data\lanes\3822\76037860\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\SshService.cs:line 40<---	Semantico.App.iOS			


#########################################################################
Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01038

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA244
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Microsoft Visual Studio Tools for Applications 2015   00322-80000-00000-AA244
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-80000-00000-AA244
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA244
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA244
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-80000-00000-AA244
Windows Phone SDK 8.0 - ENU

ASP.NET and Web Tools 2015.1   14.1.20907.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.5   14.0.20810.0
Azure App Service Tools v2.9.5

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.1.0000.0
Microsoft Azure Data Lake Tools for Visual Studio

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

DataFactoryProject   1.0
Microsoft Data Factory Package

GhostDoc   5.1.16036.0
GhostDoc automatically generates XML documentation comments.

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JetBrains ReSharper Ultimate 2016.2.2    Build 106.0.20160913.91321
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2016 JetBrains, Inc.

Microsoft .NET Core Tools (Preview 2)   14.1.20907.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Data Factory Node Node   1.0
Azure Data Factory extension for Visual Studio Server Explorer.

Microsoft Azure Hive Query Language Service   2.1.0000.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40923.2

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

R Tools for Visual Studio   0.4.20623.1711
Provides project system, R Interactive window, plotting, and more for the R programming language.

SQL Server Analysis Services   13.0.1700.281
Microsoft SQL Server Analysis Services Designer 
Version 13.0.1700.281

SQL Server Data Tools   14.0.60923.0
Microsoft SQL Server Data Tools

SQL Server Integration Services   
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services   13.0.1700.281
Microsoft SQL Server Reporting Services Designers 
Version 13.0.1700.281

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.0.695 (7603786)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.1.2 (c1d1c79)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.1 (29910bb)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 2 mho 2016-10-03 12:02:21 UTC
It seems that the blank Space in Build-Configuration Name is causing the error in my case it should be "Debug - iOS Device"

Xamarin.Messaging.Client.Ssh.SshCommandException: rm: /Users/horn/Library/Caches/Xamarin/mtbs/builds/Semantico.App.iOS/a7b7169f8e7f37c3cf42dda6c47bc237/obj/Debug: No such file or directory
rm: -: No such file or directory
rm: iOS: No such file or directory
rm: Device/optimized: No such file or directory
Comment 3 mho 2016-10-03 12:21:05 UTC
Renaming the Build-Configuration to "Debug-iOS-Device\"
and Changing the OutputPath of the App-Project to "bin\iPhone\Debug-iOS-Device\"
fixes the Problem for me.
Comment 4 dev 2016-10-03 21:36:35 UTC
Second confirmation. Removing the spaces solved it for me as well. Thanks
Comment 5 stephen.machwirth 2016-10-06 08:29:45 UTC
changing the output path also fixed the issue for me
Comment 6 xamarin-release-manager 2016-10-12 18:50:41 UTC
Fixed in version 4.3.0.33 (master)

Author: Jose Gallardo
Commit: 4bdf2380da0c4b68a56bbfb4c49c5e0b7fd96845 (xamarin/XamarinVS)
Comment 7 xamarin-release-manager 2016-10-12 18:51:06 UTC
Fixed in version 4.2.0.747 (cycle8)

Author: Jose Gallardo
Commit: 0331ddd6808ab7d9240542b6fbf599051109b794 (xamarin/XamarinVS)
Comment 9 Akhilesh kumar 2016-10-13 18:43:21 UTC
I have discussed about this issue with Emanuel and he told me that the issue was :

"We’re not supporting build configurations that contained spaces in its name."

so basically you need to create a new configuration using the Configuration Manager, based on Debug, with a name with spaces (e.g. “Test Debug”)
then build the solution, and it should build.

*******************************************************************

I have checked this issue with C8SR1 build and it is working fine.

I have checked this issue by adding new configuration having space('Test Debug' and 'Test Release') and I am successfully able to build iOS application with these configuration.


Screencast: http://www.screencast.com/t/lkg1fWRE

So I am closing this issue. 

Microsoft Visual Studio Enterprise 2015
Version 14.0.25425.01 Update 3
Microsoft .NET Framework
Version 4.6.01055

Xamarin   4.2.0.751 (66522bc)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.20 (821af8b)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.1.36 (043c11a)
Visual Studio extension to enable development for Xamarin.iOS.

*********************************************
xamarin.ios-10.0.2.0_584782f7e61bf3a84aad71a49bdabd4283cc5cfe
Comment 10 Kyle White 2016-10-18 19:01:03 UTC
I am still able to reproduce this error in latest C8 build, such as:

Xamarin   4.2.1.13 (52ba1fe)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.28 (d3dc82d)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.2.3 (26328e0)
Visual Studio extension to enable development for Xamarin.iOS.

However, with the new build the error does not surface as a build error and therefore the build succeeds. Upon further investigation of the build log, the same exact error is present. 


1>------ Rebuild All started: Project: App9, Configuration: Test Debug iPhoneSimulator ------
1>  Generated session id: b802ff14cb685e1a2a68061b47dca15c
1>  Generated build app name: App9
1>  Connecting to Mac server kyles-mbp...
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(1028,3): warning : The app icon set "AppIcons" has an unassigned child.
1>  App9 -> C:\TestResults\TemplateTest-BlankiPadApp\Temp\App9\App9\bin\iPhoneSimulator\Test Debug\App9.exe
1>  Detected signing identity:
1>    Bundle Id: com.companyname.App9
1>    App Id: com.companyname.App9
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : Failed to execute 'cp -f /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test Debug/mscorlib.dll.mdb /Users/kylewhite/Library/Caches/Xamarin/XMA/Cache/c3754c189905ce973f09af9cec2de80f': ExitStatus=64
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : usage: cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file target_file
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :        cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file ... target_directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : 
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : An error occurred while uploading files
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : usage: cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file target_file
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :        cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file ... target_directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : 
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Renci.SshNet.SshCommandExtensions.ThrowIfError(SshCommand command) in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\Extensions\SshCommandExtensions.cs:line 24
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Xamarin.Messaging.Client.Ssh.SshCommands.<RunCommandAsync>d__43.MoveNext() in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 523
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : --- End of stack trace from previous location where exception was thrown ---
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Xamarin.Messaging.Client.Ssh.SshCommands.<CopyFileAsync>d__19.MoveNext() in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 169
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : --- End of stack trace from previous location where exception was thrown ---
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Xamarin.Messaging.VisualStudio.MessagingFileManager.<UploadFileAsync>d__10.MoveNext() in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\MessagingFileManager.cs:line 140
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : Failed to execute 'cp -f /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test Debug/Xamarin.iOS.dll.mdb /Users/kylewhite/Library/Caches/Xamarin/XMA/Cache/e892ec02dd5e3729162c91b4f74ceb0a': ExitStatus=64
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : usage: cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file target_file
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :        cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file ... target_directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : 
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : An error occurred while uploading files
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : usage: cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file target_file
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :        cp [-R [-H | -L | -P]] [-fi | -n] [-apvX] source_file ... target_directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : 
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Renci.SshNet.SshCommandExtensions.ThrowIfError(SshCommand command) in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\Extensions\SshCommandExtensions.cs:line 24
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Xamarin.Messaging.Client.Ssh.SshCommands.<RunCommandAsync>d__43.MoveNext() in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 523
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : --- End of stack trace from previous location where exception was thrown ---
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Xamarin.Messaging.Client.Ssh.SshCommands.<CopyFileAsync>d__19.MoveNext() in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 169
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning : --- End of stack trace from previous location where exception was thrown ---
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(700,3): warning :    at Xamarin.Messaging.VisualStudio.MessagingFileManager.<UploadFileAsync>d__10.MoveNext() in C:\data\lanes\3513\52ba1feb\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\MessagingFileManager.cs:line 140
========== Rebuild All: 1 succeeded, 0 failed, 0 skipped ==========
Comment 11 xamarin-release-manager 2016-10-18 19:33:58 UTC
Fixed in version 4.2.1.14 (cycle8)

Author: Emanuel
Commit: d0a279d95c1d9c5d704991585611be4f9956a255 (xamarin/XamarinVS)
Comment 12 Kyle White 2016-10-18 22:08:31 UTC
Still doesn't work in new C8 build:

Xamarin   4.2.1.15 (2ecdcdd)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.28 (d3dc82d)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.2.3 (26328e0)
Visual Studio extension to enable development for Xamarin.iOS.

Now the build fails again with error: "One or more errors occurred." and the build output is:

1>------ Rebuild All started: Project: App9, Configuration: Test Debug iPhoneSimulator ------
1>  Generated session id: b802ff14cb685e1a2a68061b47dca15c
1>  Generated build app name: App9
1>  Connecting to Mac server kyles-mbp...
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(1028,3): warning : The app icon set "AppIcons" has an unassigned child.
1>  App9 -> C:\TestResults\TemplateTest-BlankiPadApp\Temp\App9\App9\bin\iPhoneSimulator\Test Debug\App9.exe
1>  Detected signing identity:
1>    Bundle Id: com.companyname.App9
1>    App Id: com.companyname.App9
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : Failed to execute 'find "/Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test Debug/App9.app/" -type f | while read line ; do md5 -q $line ; done': ExitStatus=1
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//App9: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//App9.exe: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Entitlements.plist: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Info.plist: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//LaunchScreen.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/7bK-jq-Zjz-view-r7i-6Z-zg0.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/Info.plist: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/JEX-9P-axG-view-svH-Pt-448.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/UINavigationController-vC3-pB-5Vb.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/UISplitViewController-H1p-Uh-vWS.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//mscorlib.dll: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//PkgInfo: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//System.dll: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Xamarin.iOS.dll: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : 
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : An error occurred getting directory checksum for App {0}
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//App9: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//App9.exe: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Entitlements.plist: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Info.plist: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//LaunchScreen.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/7bK-jq-Zjz-view-r7i-6Z-zg0.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/Info.plist: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/JEX-9P-axG-view-svH-Pt-448.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/UINavigationController-vC3-pB-5Vb.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Main.storyboardc/UISplitViewController-H1p-Uh-vWS.nib: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//mscorlib.dll: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//PkgInfo: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//System.dll: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: /Users/kylewhite/Library/Caches/Xamarin/mtbs/builds/App9/b802ff14cb685e1a2a68061b47dca15c/bin/iPhoneSimulator/Test: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : md5: Debug/App9.app//Xamarin.iOS.dll: No such file or directory
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : 
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at Renci.SshNet.SshCommandExtensions.ThrowIfError(SshCommand command) in C:\data\lanes\3513\2ecdcddd\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\Extensions\SshCommandExtensions.cs:line 24
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at Xamarin.Messaging.Client.Ssh.SshCommands.<RunCommandAsync>d__43.MoveNext() in C:\data\lanes\3513\2ecdcddd\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 523
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : --- End of stack trace from previous location where exception was thrown ---
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at Xamarin.Messaging.Client.Ssh.SshCommands.<GetDirectoryChecksumAsync>d__12.MoveNext() in C:\data\lanes\3513\2ecdcddd\source\xamarinvs\src\Messaging\Xamarin.Messaging.Client.Ssh\SshCommands.cs:line 85
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : --- End of stack trace from previous location where exception was thrown ---
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at Xamarin.Messaging.VisualStudio.SshService.<GetDirectoryChecksumAsync>d__13.MoveNext() in C:\data\lanes\3513\2ecdcddd\source\xamarinvs\src\Messaging\Xamarin.Messaging.VisualStudio\SshService.cs:line 76
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): error : One or more errors occurred.
========== Rebuild All: 0 succeeded, 1 failed, 0 skipped ==========
Comment 13 xamarin-release-manager 2016-10-19 13:53:46 UTC
Fixed in version 4.2.1.23 (cycle8)

Author: Emanuel
Commit: cc6c48b7eecc1ef384b40764364639c702d0a78a (xamarin/XamarinVS)
Comment 14 Kyle White 2016-10-27 20:16:59 UTC
Verified in XVS 4.2.1.39

1>------ Rebuild All started: Project: App9, Configuration: Test Debug iPhoneSimulator ------
1>  Generated session id: b802ff14cb685e1a2a68061b47dca15c
1>  Generated build app name: App9
1>  Connecting to Mac server 10.160.88.99...
1>C:\Program Files (x86)\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(1028,3): warning : The app icon set "AppIcons" has an unassigned child.
1>  App9 -> C:\TestResults\TemplateTest-BlankiPadApp\Temp\App9\App9\bin\iPhoneSimulator\Test Debug\App9.exe
1>  Detected signing identity:
1>    Bundle Id: com.companyname.App9
1>    App Id: com.companyname.App9
========== Rebuild All: 1 succeeded, 0 failed, 0 skipped ==========

Note You need to log in before you can comment on or make changes to this bug.